/* -*- mode: c; c-basic-offset: 4; indent-tabs-mode: nil -*- */
#define BUILD_BLT_TCL_PROCS 1
#include <bltInt.h>

extern BltTclIntProcs bltTclIntProcs;

/* !BEGIN!: Do not edit below this line. */

static BltTclStubHooks bltTclStubHooks = {
    &bltTclIntProcs
};

BltTclProcs bltTclProcs = {
    TCL_STUB_MAGIC,
    &bltTclStubHooks,
    NULL, /* 0 */
    Blt_AllocInit, /* 1 */
    Blt_Malloc, /* 2 */
    Blt_Free, /* 3 */
    Blt_Realloc, /* 4 */
    Blt_Calloc, /* 5 */
    Blt_MallocAbortOnError, /* 6 */
    Blt_CallocAbortOnError, /* 7 */
    Blt_ReallocAbortOnError, /* 8 */
    Blt_Strndup, /* 9 */
    Blt_Strdup, /* 10 */
    Blt_StrdupAbortOnError, /* 11 */
    Blt_StrndupAbortOnError, /* 12 */
    Blt_Chain_Init, /* 13 */
    Blt_Chain_Create, /* 14 */
    Blt_Chain_Destroy, /* 15 */
    Blt_Chain_NewLink, /* 16 */
    Blt_Chain_AllocLink, /* 17 */
    Blt_Chain_Append, /* 18 */
    Blt_Chain_Prepend, /* 19 */
    Blt_Chain_Reset, /* 20 */
    Blt_Chain_InitLink, /* 21 */
    Blt_Chain_LinkAfter, /* 22 */
    Blt_Chain_LinkBefore, /* 23 */
    Blt_Chain_UnlinkLink, /* 24 */
    Blt_Chain_DeleteLink, /* 25 */
    Blt_Chain_GetNthLink, /* 26 */
    Blt_Chain_Sort, /* 27 */
    Blt_Chain_Reverse, /* 28 */
    Blt_Chain_IsBefore, /* 29 */
    Blt_InitHashTable, /* 30 */
    Blt_InitHashTableWithPool, /* 31 */
    Blt_DeleteHashTable, /* 32 */
    Blt_DeleteHashEntry, /* 33 */
    Blt_FirstHashEntry, /* 34 */
    Blt_NextHashEntry, /* 35 */
    Blt_HashStats, /* 36 */
    Blt_Tags_Create, /* 37 */
    Blt_Tags_Destroy, /* 38 */
    Blt_Tags_Init, /* 39 */
    Blt_Tags_Reset, /* 40 */
    Blt_Tags_ItemHasTag, /* 41 */
    Blt_Tags_AddTag, /* 42 */
    Blt_Tags_AddItemToTag, /* 43 */
    Blt_Tags_ForgetTag, /* 44 */
    Blt_Tags_RemoveItemFromTag, /* 45 */
    Blt_Tags_ClearTagsFromItem, /* 46 */
    Blt_Tags_AppendTagsToChain, /* 47 */
    Blt_Tags_AppendTagsToObj, /* 48 */
    Blt_Tags_AppendAllTagsToObj, /* 49 */
    Blt_Tags_GetItemList, /* 50 */
    Blt_Tags_GetTable, /* 51 */
    Blt_List_Init, /* 52 */
    Blt_List_Reset, /* 53 */
    Blt_List_Create, /* 54 */
    Blt_List_Destroy, /* 55 */
    Blt_List_CreateNode, /* 56 */
    Blt_List_DeleteNode, /* 57 */
    Blt_List_Append, /* 58 */
    Blt_List_Prepend, /* 59 */
    Blt_List_LinkAfter, /* 60 */
    Blt_List_LinkBefore, /* 61 */
    Blt_List_UnlinkNode, /* 62 */
    Blt_List_GetNode, /* 63 */
    Blt_List_DeleteNodeByKey, /* 64 */
    Blt_List_GetNthNode, /* 65 */
    Blt_List_Sort, /* 66 */
    Blt_Pool_Create, /* 67 */
    Blt_Pool_Destroy, /* 68 */
    Blt_ExprDoubleFromObj, /* 69 */
    Blt_ExprIntFromObj, /* 70 */
    Blt_GetStateFromObj, /* 71 */
    Blt_NameOfState, /* 72 */
    Blt_GetFillFromObj, /* 73 */
    Blt_NameOfFill, /* 74 */
    Blt_GetResizeFromObj, /* 75 */
    Blt_NameOfResize, /* 76 */
    Blt_GetSideFromObj, /* 77 */
    Blt_NameOfSide, /* 78 */
    Blt_GetCount, /* 79 */
    Blt_GetCountFromObj, /* 80 */
    Blt_ParseSwitches, /* 81 */
    Blt_FreeSwitches, /* 82 */
    Blt_SwitchChanged, /* 83 */
    Blt_SwitchInfo, /* 84 */
    Blt_SwitchValue, /* 85 */
    Blt_Tree_GetUid, /* 86 */
    Blt_Tree_GetUidFromNode, /* 87 */
    Blt_Tree_GetNextId, /* 88 */
    Blt_Tree_CreateNode, /* 89 */
    Blt_Tree_CreateNodeWithId, /* 90 */
    Blt_Tree_DeleteNode, /* 91 */
    Blt_Tree_MoveNode, /* 92 */
    Blt_Tree_GetNodeFromIndex, /* 93 */
    Blt_Tree_FindChild, /* 94 */
    Blt_Tree_NextNode, /* 95 */
    Blt_Tree_PrevNode, /* 96 */
    Blt_Tree_FirstChild, /* 97 */
    Blt_Tree_LastChild, /* 98 */
    Blt_Tree_IsBefore, /* 99 */
    Blt_Tree_IsAncestor, /* 100 */
    Blt_Tree_PrivateVariable, /* 101 */
    Blt_Tree_PublicVariable, /* 102 */
    Blt_Tree_GetVariable, /* 103 */
    Blt_Tree_VariableExists, /* 104 */
    Blt_Tree_SetVariable, /* 105 */
    Blt_Tree_UnsetVariable, /* 106 */
    Blt_Tree_AppendVariable, /* 107 */
    Blt_Tree_ListAppendVariable, /* 108 */
    Blt_Tree_ListReplaceVariable, /* 109 */
    Blt_Tree_GetArrayVariable, /* 110 */
    Blt_Tree_SetArrayVariable, /* 111 */
    Blt_Tree_UnsetArrayVariable, /* 112 */
    Blt_Tree_AppendArrayVariable, /* 113 */
    Blt_Tree_ListAppendArrayVariable, /* 114 */
    Blt_Tree_ListReplaceArrayVariable, /* 115 */
    Blt_Tree_ArrayVariableExists, /* 116 */
    Blt_Tree_ArrayNames, /* 117 */
    Blt_Tree_GetScalarVariableByUid, /* 118 */
    Blt_Tree_SetScalarVariableByUid, /* 119 */
    Blt_Tree_UnsetScalarVariableByUid, /* 120 */
    Blt_Tree_AppendScalarVariableByUid, /* 121 */
    Blt_Tree_ListAppendScalarVariableByUid, /* 122 */
    Blt_Tree_ListReplaceScalarVariableByUid, /* 123 */
    Blt_Tree_ScalarVariableExistsByUid, /* 124 */
    Blt_Tree_FirstVariable, /* 125 */
    Blt_Tree_NextVariable, /* 126 */
    Blt_Tree_Apply, /* 127 */
    Blt_Tree_ApplyDFS, /* 128 */
    Blt_Tree_ApplyBFS, /* 129 */
    Blt_Tree_SortNode, /* 130 */
    Blt_Tree_Exists, /* 131 */
    Blt_Tree_Open, /* 132 */
    Blt_Tree_Close, /* 133 */
    Blt_Tree_Attach, /* 134 */
    Blt_Tree_GetFromObj, /* 135 */
    Blt_Tree_Size, /* 136 */
    Blt_Tree_CreateTrace, /* 137 */
    Blt_Tree_DeleteTrace, /* 138 */
    Blt_Tree_CreateEventHandler, /* 139 */
    Blt_Tree_DeleteEventHandler, /* 140 */
    Blt_Tree_RelabelNode, /* 141 */
    Blt_Tree_RelabelNodeWithoutNotify, /* 142 */
    Blt_Tree_NodeIdAscii, /* 143 */
    Blt_Tree_NodePathObj, /* 144 */
    Blt_Tree_NodePath, /* 145 */
    Blt_Tree_NodeRelativePath, /* 146 */
    Blt_Tree_NodePosition, /* 147 */
    Blt_Tree_ClearTags, /* 148 */
    Blt_Tree_HasTag, /* 149 */
    Blt_Tree_AddTag, /* 150 */
    Blt_Tree_RemoveTag, /* 151 */
    Blt_Tree_ForgetTag, /* 152 */
    Blt_Tree_TagHashTable, /* 153 */
    Blt_Tree_TagTableIsShared, /* 154 */
    Blt_Tree_NewTagTable, /* 155 */
    Blt_Tree_FirstTag, /* 156 */
    Blt_Tree_Depth, /* 157 */
    Blt_Tree_RegisterFormat, /* 158 */
    Blt_Tree_RememberTag, /* 159 */
    Blt_Tree_GetNodeFromObj, /* 160 */
    Blt_Tree_GetNodeIterator, /* 161 */
    Blt_Tree_FirstTaggedNode, /* 162 */
    Blt_Tree_NextTaggedNode, /* 163 */
    Blt_Tree_GetPathSeparator, /* 164 */
    Blt_Tree_SetPathSeparator, /* 165 */
    blt_table_release_tags, /* 166 */
    blt_table_new_tags, /* 167 */
    blt_table_get_column_tag_table, /* 168 */
    blt_table_get_row_tag_table, /* 169 */
    blt_table_exists, /* 170 */
    blt_table_create, /* 171 */
    blt_table_open, /* 172 */
    blt_table_close, /* 173 */
    blt_table_clear, /* 174 */
    blt_table_pack, /* 175 */
    blt_table_reset, /* 176 */
    blt_table_same_object, /* 177 */
    blt_table_row_get_label_table, /* 178 */
    blt_table_column_get_label_table, /* 179 */
    blt_table_get_row, /* 180 */
    blt_table_get_column, /* 181 */
    blt_table_get_row_by_label, /* 182 */
    blt_table_get_column_by_label, /* 183 */
    blt_table_get_row_by_index, /* 184 */
    blt_table_get_column_by_index, /* 185 */
    blt_table_set_row_label, /* 186 */
    blt_table_set_column_label, /* 187 */
    blt_table_name_to_column_type, /* 188 */
    blt_table_set_column_type, /* 189 */
    blt_table_column_type_to_name, /* 190 */
    blt_table_set_column_tag, /* 191 */
    blt_table_set_row_tag, /* 192 */
    blt_table_create_row, /* 193 */
    blt_table_create_column, /* 194 */
    blt_table_extend_rows, /* 195 */
    blt_table_extend_columns, /* 196 */
    blt_table_delete_row, /* 197 */
    blt_table_delete_column, /* 198 */
    blt_table_move_rows, /* 199 */
    blt_table_move_columns, /* 200 */
    blt_table_get_obj, /* 201 */
    blt_table_set_obj, /* 202 */
    blt_table_get_string, /* 203 */
    blt_table_set_string_rep, /* 204 */
    blt_table_set_string, /* 205 */
    blt_table_append_string, /* 206 */
    blt_table_set_bytes, /* 207 */
    blt_table_get_double, /* 208 */
    blt_table_set_double, /* 209 */
    blt_table_get_long, /* 210 */
    blt_table_set_long, /* 211 */
    blt_table_get_boolean, /* 212 */
    blt_table_set_boolean, /* 213 */
    blt_table_set_int64, /* 214 */
    blt_table_get_int64, /* 215 */
    blt_table_get_value, /* 216 */
    blt_table_set_value, /* 217 */
    blt_table_unset_value, /* 218 */
    blt_table_value_exists, /* 219 */
    blt_table_value_string, /* 220 */
    blt_table_value_bytes, /* 221 */
    blt_table_value_length, /* 222 */
    blt_table_tags_are_shared, /* 223 */
    blt_table_clear_row_tags, /* 224 */
    blt_table_clear_column_tags, /* 225 */
    blt_table_get_row_tags, /* 226 */
    blt_table_get_column_tags, /* 227 */
    blt_table_get_tagged_rows, /* 228 */
    blt_table_get_tagged_columns, /* 229 */
    blt_table_row_has_tag, /* 230 */
    blt_table_column_has_tag, /* 231 */
    blt_table_forget_row_tag, /* 232 */
    blt_table_forget_column_tag, /* 233 */
    blt_table_unset_row_tag, /* 234 */
    blt_table_unset_column_tag, /* 235 */
    blt_table_first_column, /* 236 */
    blt_table_last_column, /* 237 */
    blt_table_next_column, /* 238 */
    blt_table_previous_column, /* 239 */
    blt_table_first_row, /* 240 */
    blt_table_last_row, /* 241 */
    blt_table_next_row, /* 242 */
    blt_table_previous_row, /* 243 */
    blt_table_row_spec, /* 244 */
    blt_table_column_spec, /* 245 */
    blt_table_iterate_rows, /* 246 */
    blt_table_iterate_columns, /* 247 */
    blt_table_iterate_rows_objv, /* 248 */
    blt_table_iterate_columns_objv, /* 249 */
    blt_table_free_iterator_objv, /* 250 */
    blt_table_iterate_all_rows, /* 251 */
    blt_table_iterate_all_columns, /* 252 */
    blt_table_first_tagged_row, /* 253 */
    blt_table_first_tagged_column, /* 254 */
    blt_table_next_tagged_row, /* 255 */
    blt_table_next_tagged_column, /* 256 */
    blt_table_list_rows, /* 257 */
    blt_table_list_columns, /* 258 */
    blt_table_clear_row_traces, /* 259 */
    blt_table_clear_column_traces, /* 260 */
    blt_table_create_trace, /* 261 */
    blt_table_trace_column, /* 262 */
    blt_table_trace_row, /* 263 */
    blt_table_create_column_trace, /* 264 */
    blt_table_create_column_tag_trace, /* 265 */
    blt_table_create_row_trace, /* 266 */
    blt_table_create_row_tag_trace, /* 267 */
    blt_table_delete_trace, /* 268 */
    blt_table_create_notifier, /* 269 */
    blt_table_create_row_notifier, /* 270 */
    blt_table_create_row_tag_notifier, /* 271 */
    blt_table_create_column_notifier, /* 272 */
    blt_table_create_column_tag_notifier, /* 273 */
    blt_table_delete_notifier, /* 274 */
    blt_table_sort_init, /* 275 */
    blt_table_sort_rows, /* 276 */
    blt_table_sort_row_map, /* 277 */
    blt_table_sort_finish, /* 278 */
    blt_table_get_compare_proc, /* 279 */
    blt_table_get_row_map, /* 280 */
    blt_table_get_column_map, /* 281 */
    blt_table_set_row_map, /* 282 */
    blt_table_set_column_map, /* 283 */
    blt_table_restore, /* 284 */
    blt_table_file_restore, /* 285 */
    blt_table_register_format, /* 286 */
    blt_table_unset_keys, /* 287 */
    blt_table_get_keys, /* 288 */
    blt_table_set_keys, /* 289 */
    blt_table_key_lookup, /* 290 */
    blt_table_get_column_limits, /* 291 */
    blt_table_row, /* 292 */
    blt_table_column, /* 293 */
    blt_table_row_index, /* 294 */
    blt_table_column_index, /* 295 */
    Blt_VecMin, /* 296 */
    Blt_VecMax, /* 297 */
    Blt_GetVectorToken, /* 298 */
    Blt_FreeVectorToken, /* 299 */
    Blt_SetVectorChangedProc, /* 300 */
    Blt_GetVectorFromToken, /* 301 */
    Blt_VectorNotifyPending, /* 302 */
    Blt_NameOfVectorFromToken, /* 303 */
    Blt_NameOfVector, /* 304 */
    Blt_CreateVector, /* 305 */
    Blt_CreateVector2, /* 306 */
    Blt_GetVector, /* 307 */
    Blt_GetVectorFromObj, /* 308 */
    Blt_VectorExists, /* 309 */
    Blt_ResetVector, /* 310 */
    Blt_ResizeVector, /* 311 */
    Blt_AppendToVector, /* 312 */
    Blt_DeleteVectorByName, /* 313 */
    Blt_DeleteVector, /* 314 */
    Blt_ExprVector, /* 315 */
    Blt_InstallIndexProc, /* 316 */
    Blt_VectorExists2, /* 317 */
};

/* !END!: Do not edit above this line. */
